package com.bocloud.cmp.model.hmc;

import com.alibaba.fastjson.JSONObject;

@Deprecated
public class HmcVirtualDiskModel {
    /**
     * id
     */
    private Long id;
    /**
     * disk name
     * <p>
     * visk0
     */
    private String diskName;
    /**
     * disk capacity
     * <p>
     * 50
     */
    private Double diskCapacity;
    /**
     * disk status
     * <p>
     * visk0
     */
    private String status;
    /**
     * disk label
     * <p>
     * None
     */
    private String diskLabel;
    /**
     * unique device id
     * <p>
     * 0300cf856300004c0000000164d55cc59a.1
     */
    private String uniqueDeviceId;
    /**
     * volume group平台id
     */
    private Long vgId;
    /**
     * virtual disk assign partition id
     * <p>
     * 这个id是平台的partition的id
     * <p>
     * 不是hmc端显示的partition的id
     * <p>
     * 2
     */
    private Long assignPartitionId;
    /**
     * virtual disk assign slot id
     * <p>
     * 2
     */
    private Integer assignSlotId;
    /**
     * virtual disk vios id
     * <p>
     * 这个id是平台的vios的id
     * <p>
     * 不是hmc端显示的vios的id 2
     */
    private Long viosId;
    /**
     * virtual disk vios slot id
     * <p>
     * 2
     */
    private Integer viosSlotId;
    /**
     * vios name
     */
    private String viosName;
    /**
     * vios hmc id
     */
    private Integer viosHmcId;
    /**
     * virtual disk assign info
     * <p>
     * aix(2)
     */
    private String assign;
    /**
     * virtual disk assign partition status
     * <p>
     * not activated
     */
    private String assignStatus;
    /**
     * volume group name
     * <p>
     * rootvg
     */
    private String groupName;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the diskName
     */
    public String getDiskName() {
        return diskName;
    }

    /**
     * @param diskName the diskName to set
     */
    public void setDiskName(String diskName) {
        this.diskName = diskName;
    }

    /**
     * @return the diskCapacity
     */
    public Double getDiskCapacity() {
        return diskCapacity;
    }

    /**
     * @param diskCapacity the diskCapacity to set
     */
    public void setDiskCapacity(Double diskCapacity) {
        this.diskCapacity = diskCapacity;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the diskLabel
     */
    public String getDiskLabel() {
        return diskLabel;
    }

    /**
     * @param diskLabel the diskLabel to set
     */
    public void setDiskLabel(String diskLabel) {
        this.diskLabel = diskLabel;
    }

    /**
     * @return the uniqueDeviceId
     */
    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    /**
     * @param uniqueDeviceId the uniqueDeviceId to set
     */
    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    /**
     * @return the vgId
     */
    public Long getVgId() {
        return vgId;
    }

    /**
     * @param vgId the vgId to set
     */
    public void setVgId(Long vgId) {
        this.vgId = vgId;
    }

    /**
     * @return the assignPartitionId
     */
    public Long getAssignPartitionId() {
        return assignPartitionId;
    }

    /**
     * @param assignPartitionId the assignPartitionId to set
     */
    public void setAssignPartitionId(Long assignPartitionId) {
        this.assignPartitionId = assignPartitionId;
    }

    /**
     * @return the assignSlotId
     */
    public Integer getAssignSlotId() {
        return assignSlotId;
    }

    /**
     * @param assignSlotId the assignSlotId to set
     */
    public void setAssignSlotId(Integer assignSlotId) {
        this.assignSlotId = assignSlotId;
    }

    /**
     * @return the assignStatus
     */
    public String getAssignStatus() {
        return assignStatus;
    }

    /**
     * @param assignStatus the assignStatus to set
     */
    public void setAssignStatus(String assignStatus) {
        this.assignStatus = assignStatus;
    }

    /**
     * @return the viosId
     */
    public Long getViosId() {
        return viosId;
    }

    /**
     * @param viosId the viosId to set
     */
    public void setViosId(Long viosId) {
        this.viosId = viosId;
    }

    /**
     * @return the viosSlotId
     */
    public Integer getViosSlotId() {
        return viosSlotId;
    }

    /**
     * @param viosSlotId the viosSlotId to set
     */
    public void setViosSlotId(Integer viosSlotId) {
        this.viosSlotId = viosSlotId;
    }

    /**
     * @return the viosName
     */
    public String getViosName() {
        return viosName;
    }

    /**
     * @param viosName the viosName to set
     */
    public void setViosName(String viosName) {
        this.viosName = viosName;
    }

    /**
     * @return the viosHmcId
     */
    public Integer getViosHmcId() {
        return viosHmcId;
    }

    /**
     * @param viosHmcId the viosHmcId to set
     */
    public void setViosHmcId(Integer viosHmcId) {
        this.viosHmcId = viosHmcId;
    }

    /**
     * @return the assign
     */
    public String getAssign() {
        return assign;
    }

    /**
     * @param assign the assign to set
     */
    public void setAssign(String assign) {
        this.assign = assign;
    }

    /**
     * @return the groupName
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * @param groupName the groupName to set
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public HmcVirtualDiskModel() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
